import bluebird from 'bluebird';
import { ExchangeFanOut } from 'redis-smq';
const { promisifyAll } = bluebird;
export async function bindQueue(queue, fanOut) {
    const exchange = promisifyAll(new ExchangeFanOut());
    await exchange.bindQueueAsync(queue, fanOut);
    await exchange.shutdownAsync();
}
//# sourceMappingURL=bind-queue.js.map