import bluebird from 'bluebird';
import { ExchangeFanOut } from 'redis-smq';
const { promisifyAll } = bluebird;
export async function createFanOutExchange(name) {
    const exchangeFanOut = promisifyAll(new ExchangeFanOut());
    await exchangeFanOut.saveExchangeAsync(name);
    await exchangeFanOut.shutdownAsync();
    return name;
}
//# sourceMappingURL=create-fan-out-exchange.js.map