"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constants = void 0;
const path_1 = require("path");
const redis_smq_common_1 = require("redis-smq-common");
const curDir = (0, redis_smq_common_1.getDirname)();
const srcDir = (0, path_1.resolve)(curDir, '../');
const openApiDocumentFilename = 'openapi-specs.json';
const tsConfigPath = (0, path_1.resolve)(process.cwd(), './tsconfig.json');
const dtoDir = (0, path_1.resolve)(srcDir, './app/dto');
const apiServerPort = 7210;
const apiServerHostname = '127.0.0.1';
const apiServerBasePath = '/';
exports.constants = {
    srcDir,
    openApiDocumentFilename,
    tsConfigPath,
    dtoDir,
    apiServerHostname,
    apiServerPort,
    apiServerBasePath,
};
//# sourceMappingURL=constants.js.map