"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.stopApiServer = exports.startApiServer = void 0;
const index_js_1 = require("../../index.js");
const config_js_1 = require("./config.js");
const server = new index_js_1.RedisSmqRestApi(config_js_1.config);
function startApiServer() {
    return __awaiter(this, void 0, void 0, function* () {
        yield server.run();
    });
}
exports.startApiServer = startApiServer;
function stopApiServer() {
    return __awaiter(this, void 0, void 0, function* () {
        yield server.shutdown();
    });
}
exports.stopApiServer = stopApiServer;
//# sourceMappingURL=start-api-server.js.map