export type TResponse<Data extends readonly [unknown, unknown]> = {
    status: number;
    body: null | {
        data?: Data extends readonly [200 | 201, unknown] ? Data[1] : never;
        error?: {
            code: number;
            message: string;
            details: Record<string, unknown>;
        };
    };
};
//# sourceMappingURL=index.d.ts.map