import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { createQueue } from '../../../../tests/common/create-queue.js';
describe('deleteQueueController', () => {
    it('HTTP 204 No Content', async () => {
        const { queue } = await createQueue('my-queue');
        const request = supertest('http://127.0.0.1:7210');
        const response1 = await request.delete(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}`);
        expect(response1.status).toEqual(204);
        expect(response1.body).toEqual({});
    });
});
//# sourceMappingURL=deleteQueueController.test.js.map