import { resolve } from 'path';
import { getDirname } from 'redis-smq-common';
const curDir = getDirname();
const srcDir = resolve(curDir, '../');
const openApiDocumentFilename = 'openapi-specs.json';
const tsConfigPath = resolve(process.cwd(), './tsconfig.json');
const dtoDir = resolve(srcDir, './app/dto');
const apiServerPort = 7210;
const apiServerHostname = '127.0.0.1';
const apiServerBasePath = '/';
export const constants = {
    srcDir,
    openApiDocumentFilename,
    tsConfigPath,
    dtoDir,
    apiServerHostname,
    apiServerPort,
    apiServerBasePath,
};
//# sourceMappingURL=constants.js.map