import bluebird from 'bluebird';
import { QueueRateLimit } from 'redis-smq';
const { promisifyAll } = bluebird;
export async function setRateLimit(queue, rateLimit) {
    const r = promisifyAll(new QueueRateLimit());
    await r.setAsync(queue, rateLimit);
    await r.shutdownAsync();
    return rateLimit;
}
//# sourceMappingURL=set-rate-limit.js.map